package com.supervision.police.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.police.domain.ModelAtomicIndex;
import com.supervision.police.mapper.ModelAtomicIndexMapper;

import java.util.List;

public interface ModelAtomicIndexService {

    ModelAtomicIndexMapper getMapper();

    IPage<ModelAtomicIndex> selectAll(IPage<ModelAtomicIndex> iPage,ModelAtomicIndex index);

    List<ModelAtomicIndex> selectByCaseType(String caseType);


    List<ModelAtomicIndex> selectBatchIds(List<String> ids);


    List<ModelAtomicIndex> listCaseAtomicIndex(List<String> indexIdList, String caseId, String indexSource);
}
